Update submodules on '5.6' in qt5
[mirror/qt/qt5.git] / qt.pro
diff --git a/qt.pro b/qt.pro
index f8d3d4d..825e6b5 100644 (file)
--- a/qt.pro
+++ b/qt.pro
@@ -26,14 +26,15 @@ for (line, lines) {
 }
 QMAKE_INTERNAL_INCLUDED_FILES += $$PWD/.gitmodules
 
-modules = $$sort_depends(modules, module., .depends .recommends)
+modules = $$sort_depends(modules, module., .depends .recommends .serialize)
 modules = $$reverse(modules)
 for (mod, modules) {
-    equals(module.$${mod}.qt, false): \
+    project = $$eval(module.$${mod}.project)
+    equals(project, -): \
         next()
 
     deps = $$eval(module.$${mod}.depends)
-    recs = $$eval(module.$${mod}.recommends)
+    recs = $$eval(module.$${mod}.recommends) $$eval(module.$${mod}.serialize)
     for (d, $$list($$deps $$recs)): \
         !contains(modules, $$d): \
             error("'$$mod' depends on undeclared '$$d'.")
@@ -43,7 +44,6 @@ for (mod, modules) {
     !isEmpty(QT_BUILD_MODULES):!contains(QT_BUILD_MODULES, $$mod): \
         next()
 
-    project = $$eval(module.$${mod}.project)
     isEmpty(project) {
         !exists($$mod/$${mod}.pro): \
             next()